VTK: vtkWebGPUProperty Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkWebGPUProperty Class Reference

WebGPU property. More...

`#include <vtkWebGPUProperty.h>`

Inheritance diagram for vtkWebGPUProperty:
[legend]
Collaboration diagram for vtkWebGPUProperty:
[legend]

## Public Types
typedef vtkProperty | Superclass
Public Types inherited from vtkProperty
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkWebGPUProperty * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Render (vtkActor *a, vtkRenderer *ren) override
| Implement base class method. More...
void | BackfaceRender (vtkActor *a, vtkRenderer *ren) override
| Implement base class method. More...
void | PostRender (vtkActor *a, vtkRenderer *r) override
| This method is called after the actor has been rendered. More...
void | ReleaseGraphicsResources (vtkWindow *win) override
| Release any graphics resources that are being consumed by this property. More...
Public Member Functions inherited from vtkProperty
vtkProperty * | NewInstance () const
void | DeepCopy (vtkProperty *p)
| Assign one property to another. More...
void | SetBaseColorTexture (vtkTexture *texture)
| Set the base color texture. More...
void | SetORMTexture (vtkTexture *texture)
| Set the ORM texture. More...
void | SetAnisotropyTexture (vtkTexture *texture)
| Set the anisotropy texture. More...
void | SetNormalTexture (vtkTexture *texture)
| Set the normal texture. More...
void | SetEmissiveTexture (vtkTexture *texture)
| Set the emissive texture. More...
void | SetCoatNormalTexture (vtkTexture *texture)
| Set the coat normal texture. More...
void | RemoveTexture (const char *name)
| Remove a texture from the collection. More...
void | RemoveAllTextures ()
| Remove all the textures. More...
int | GetNumberOfTextures ()
| Returns the number of textures in this property. More...
std::map< std::string, vtkTexture * > & | GetAllTextures ()
| Returns all the textures in this property and their names. More...
virtual bool | GetLighting ()
| Set/Get lighting flag for an object. More...
virtual void | SetLighting (bool)
| Set/Get lighting flag for an object. More...
virtual void | LightingOn ()
| Set/Get lighting flag for an object. More...
virtual void | LightingOff ()
| Set/Get lighting flag for an object. More...
virtual bool | GetRenderPointsAsSpheres ()
| Set/Get rendering of points as spheres. More...
virtual void | SetRenderPointsAsSpheres (bool)
| Set/Get rendering of points as spheres. More...
virtual void | RenderPointsAsSpheresOn ()
| Set/Get rendering of points as spheres. More...
virtual void | RenderPointsAsSpheresOff ()
| Set/Get rendering of points as spheres. More...
virtual bool | GetRenderLinesAsTubes ()
| Set/Get rendering of lines as tubes. More...
virtual void | SetRenderLinesAsTubes (bool)
| Set/Get rendering of lines as tubes. More...
virtual void | RenderLinesAsTubesOn ()
| Set/Get rendering of lines as tubes. More...
virtual void | RenderLinesAsTubesOff ()
| Set/Get rendering of lines as tubes. More...
virtual void | SetInterpolation (int)
| Set the shading interpolation method for an object. More...
virtual int | GetInterpolation ()
| Set the shading interpolation method for an object. More...
void | SetInterpolationToFlat ()
| Set the shading interpolation method for an object. More...
void | SetInterpolationToGouraud ()
| Set the shading interpolation method for an object. More...
void | SetInterpolationToPhong ()
| Set the shading interpolation method for an object. More...
void | SetInterpolationToPBR ()
| Set the shading interpolation method for an object. More...
const char * | GetInterpolationAsString ()
| Return the method of shading as a descriptive character string. More...
virtual void | SetRepresentation (int)
| Control the surface geometry representation for the object. More...
virtual int | GetRepresentation ()
| Control the surface geometry representation for the object. More...
void | SetRepresentationToPoints ()
| Control the surface geometry representation for the object. More...
void | SetRepresentationToWireframe ()
| Control the surface geometry representation for the object. More...
void | SetRepresentationToSurface ()
| Control the surface geometry representation for the object. More...
const char * | GetRepresentationAsString ()
| Return the method of shading as a descriptive character string. More...
virtual void | SetColor (double r, double g, double b)
| Set the color of the object. More...
virtual void | SetColor (double a[3])
| Set the color of the object. More...
double * | GetColor ()
| Set the color of the object. More...
void | GetColor (double rgb[3])
| Set the color of the object. More...
void | GetColor (double &r, double &g, double &b)
| Set the color of the object. More...
virtual void | SetBaseIOR (double)
| Set/Get the Index Of Refraction of the base layer. More...
virtual double | GetBaseIOR ()
| Set/Get the Index Of Refraction of the base layer. More...
virtual void | SetMetallic (double)
| Set/Get the metallic coefficient. More...
virtual double | GetMetallic ()
| Set/Get the metallic coefficient. More...
virtual void | SetRoughness (double)
| Set/Get the roughness coefficient. More...
virtual double | GetRoughness ()
| Set/Get the roughness coefficient. More...
virtual void | SetAnisotropy (double)
| Set/Get the anisotropy coefficient. More...
virtual double | GetAnisotropy ()
| Set/Get the anisotropy coefficient. More...
virtual void | SetAnisotropyRotation (double)
| Set/Get the anisotropy rotation coefficient. More...
virtual double | GetAnisotropyRotation ()
| Set/Get the anisotropy rotation coefficient. More...
virtual void | SetCoatIOR (double)
| Set/Get the coat layer Index Of Refraction. More...
virtual double | GetCoatIOR ()
| Set/Get the coat layer Index Of Refraction. More...
virtual void | SetCoatRoughness (double)
| Set/Get the coat layer roughness coefficient. More...
virtual double | GetCoatRoughness ()
| Set/Get the coat layer roughness coefficient. More...
virtual void | SetCoatStrength (double)
| Set/Get the coat layer strength coefficient. More...
virtual double | GetCoatStrength ()
| Set/Get the coat layer strength coefficient. More...
virtual void | SetCoatColor (double, double, double)
| Set/Get the color of the coat layer. More...
virtual void | SetCoatColor (double[3])
| Set/Get the color of the coat layer. More...
virtual double * | GetCoatColor ()
| Set/Get the color of the coat layer. More...
virtual void | GetCoatColor (double &, double &, double &)
| Set/Get the color of the coat layer. More...
virtual void | GetCoatColor (double[3])
| Set/Get the color of the coat layer. More...
virtual void | SetCoatNormalScale (double)
| Set/Get the coat layer normal scale coefficient. More...
virtual double | GetCoatNormalScale ()
| Set/Get the coat layer normal scale coefficient. More...
virtual void | SetNormalScale (double)
| Set/Get the normal scale coefficient. More...
virtual double | GetNormalScale ()
| Set/Get the normal scale coefficient. More...
virtual void | SetOcclusionStrength (double)
| Set/Get the occlusion strength coefficient. More...
virtual double | GetOcclusionStrength ()
| Set/Get the occlusion strength coefficient. More...
virtual void | SetEmissiveFactor (double, double, double)
| Set/Get the emissive factor. More...
virtual void | SetEmissiveFactor (double[3])
| Set/Get the emissive factor. More...
virtual double * | GetEmissiveFactor ()
| Set/Get the emissive factor. More...
virtual void | GetEmissiveFactor (double &, double &, double &)
| Set/Get the emissive factor. More...
virtual void | GetEmissiveFactor (double[3])
| Set/Get the emissive factor. More...
virtual void | SetEdgeTint (double, double, double)
| Set/Get the edge tint (for metals only). More...
virtual void | SetEdgeTint (double[3])
| Set/Get the edge tint (for metals only). More...
virtual double * | GetEdgeTint ()
| Set/Get the edge tint (for metals only). More...
virtual void | GetEdgeTint (double &, double &, double &)
| Set/Get the edge tint (for metals only). More...
virtual void | GetEdgeTint (double[3])
| Set/Get the edge tint (for metals only). More...
virtual void | SetAmbient (double)
| Set/Get the ambient lighting coefficient. More...
virtual double | GetAmbient ()
| Set/Get the ambient lighting coefficient. More...
virtual void | SetDiffuse (double)
| Set/Get the diffuse lighting coefficient. More...
virtual double | GetDiffuse ()
| Set/Get the diffuse lighting coefficient. More...
virtual void | SetSpecular (double)
| Set/Get the specular lighting coefficient. More...
virtual double | GetSpecular ()
| Set/Get the specular lighting coefficient. More...
virtual void | SetSpecularPower (double)
| Set/Get the specular power. More...
virtual double | GetSpecularPower ()
| Set/Get the specular power. More...
virtual void | SetOpacity (double)
| Set/Get the object's opacity. More...
virtual double | GetOpacity ()
| Set/Get the object's opacity. More...
virtual void | SetEdgeOpacity (double)
| Set/Get the line opacity. More...
virtual double | GetEdgeOpacity ()
| Set/Get the line opacity. More...
virtual void | SetAmbientColor (double, double, double)
| Set/Get the ambient surface color. More...
virtual void | SetAmbientColor (double[3])
| Set/Get the ambient surface color. More...
virtual double * | GetAmbientColor ()
| Set/Get the ambient surface color. More...
virtual void | GetAmbientColor (double &, double &, double &)
| Set/Get the ambient surface color. More...
virtual void | GetAmbientColor (double[3])
| Set/Get the ambient surface color. More...
virtual void | SetDiffuseColor (double, double, double)
| Set/Get the diffuse surface color. More...
virtual void | SetDiffuseColor (double[3])
| Set/Get the diffuse surface color. More...
virtual double * | GetDiffuseColor ()
| Set/Get the diffuse surface color. More...
virtual void | GetDiffuseColor (double &, double &, double &)
| Set/Get the diffuse surface color. More...
virtual void | GetDiffuseColor (double[3])
| Set/Get the diffuse surface color. More...
virtual void | SetSpecularColor (double, double, double)
| Set/Get the specular surface color. More...
virtual void | SetSpecularColor (double[3])
| Set/Get the specular surface color. More...
virtual double * | GetSpecularColor ()
| Set/Get the specular surface color. More...
virtual void | GetSpecularColor (double &, double &, double &)
| Set/Get the specular surface color. More...
virtual void | GetSpecularColor (double[3])
| Set/Get the specular surface color. More...
virtual vtkTypeBool | GetEdgeVisibility ()
| Turn on/off the visibility of edges. More...
virtual void | SetEdgeVisibility (vtkTypeBool)
| Turn on/off the visibility of edges. More...
virtual void | EdgeVisibilityOn ()
| Turn on/off the visibility of edges. More...
virtual void | EdgeVisibilityOff ()
| Turn on/off the visibility of edges. More...
virtual void | SetEdgeColor (double, double, double)
| Set/Get the color of primitive edges (if edge visibility is enabled). More...
virtual void | SetEdgeColor (double[3])
| Set/Get the color of primitive edges (if edge visibility is enabled). More...
virtual double * | GetEdgeColor ()
| Set/Get the color of primitive edges (if edge visibility is enabled). More...
virtual void | GetEdgeColor (double &, double &, double &)
| Set/Get the color of primitive edges (if edge visibility is enabled). More...
virtual void | GetEdgeColor (double[3])
| Set/Get the color of primitive edges (if edge visibility is enabled). More...
virtual vtkTypeBool | GetVertexVisibility ()
| Turn on/off the visibility of vertices. More...
virtual void | SetVertexVisibility (vtkTypeBool)
| Turn on/off the visibility of vertices. More...
virtual void | VertexVisibilityOn ()
| Turn on/off the visibility of vertices. More...
virtual void | VertexVisibilityOff ()
| Turn on/off the visibility of vertices. More...
virtual void | SetVertexColor (double, double, double)
| Set/Get the color of primitive vertices (if vertex visibility is enabled). More...
virtual void | SetVertexColor (double[3])
| Set/Get the color of primitive vertices (if vertex visibility is enabled). More...
virtual double * | GetVertexColor ()
| Set/Get the color of primitive vertices (if vertex visibility is enabled). More...
virtual void | GetVertexColor (double &, double &, double &)
| Set/Get the color of primitive vertices (if vertex visibility is enabled). More...
virtual void | GetVertexColor (double[3])
| Set/Get the color of primitive vertices (if vertex visibility is enabled). More...
virtual void | SetSelectionColor (double, double, double, double)
| Set/Get the RGBA color of selection primitives (if a selection is active on the mapper). More...
virtual void | SetSelectionColor (double[4])
| Set/Get the RGBA color of selection primitives (if a selection is active on the mapper). More...
virtual double * | GetSelectionColor ()
| Set/Get the RGBA color of selection primitives (if a selection is active on the mapper). More...
virtual void | GetSelectionColor (double &, double &, double &, double &)
| Set/Get the RGBA color of selection primitives (if a selection is active on the mapper). More...
virtual void | GetSelectionColor (double[4])
| Set/Get the RGBA color of selection primitives (if a selection is active on the mapper). More...
virtual void | SetSelectionLineWidth (float)
| Set/Get the selection line width. More...
virtual float | GetSelectionLineWidth ()
| Set/Get the selection line width. More...
virtual void | SetSelectionPointSize (float)
| Set/Get the selection point size. More...
virtual float | GetSelectionPointSize ()
| Set/Get the selection point size. More...
virtual void | SetLineWidth (float)
| Set/Get the width of a Line. More...
virtual float | GetLineWidth ()
| Set/Get the width of a Line. More...
virtual void | SetLineStipplePattern (int)
| Set/Get the stippling pattern of a Line, as a 16-bit binary pattern (1 = pixel on, 0 = pixel off). More...
virtual int | GetLineStipplePattern ()
| Set/Get the stippling pattern of a Line, as a 16-bit binary pattern (1 = pixel on, 0 = pixel off). More...
virtual void | SetLineStippleRepeatFactor (int)
| Set/Get the stippling repeat factor of a Line, which specifies how many times each bit in the pattern is to be repeated. More...
virtual int | GetLineStippleRepeatFactor ()
| Set/Get the stippling repeat factor of a Line, which specifies how many times each bit in the pattern is to be repeated. More...
virtual void | SetPointSize (float)
| Set/Get the diameter of a point. More...
virtual float | GetPointSize ()
| Set/Get the diameter of a point. More...
virtual vtkTypeBool | GetBackfaceCulling ()
| Turn on/off fast culling of polygons based on orientation of normal with respect to camera. More...
virtual void | SetBackfaceCulling (vtkTypeBool)
| Turn on/off fast culling of polygons based on orientation of normal with respect to camera. More...
virtual void | BackfaceCullingOn ()
| Turn on/off fast culling of polygons based on orientation of normal with respect to camera. More...
virtual void | BackfaceCullingOff ()
| Turn on/off fast culling of polygons based on orientation of normal with respect to camera. More...
virtual vtkTypeBool | GetFrontfaceCulling ()
| Turn on/off fast culling of polygons based on orientation of normal with respect to camera. More...
virtual void | SetFrontfaceCulling (vtkTypeBool)
| Turn on/off fast culling of polygons based on orientation of normal with respect to camera. More...
virtual void | FrontfaceCullingOn ()
| Turn on/off fast culling of polygons based on orientation of normal with respect to camera. More...
virtual void | FrontfaceCullingOff ()
| Turn on/off fast culling of polygons based on orientation of normal with respect to camera. More...
virtual void | SetMaterialName (const char *)
| Returns the name of the material currently loaded, if any. More...
virtual char * | GetMaterialName ()
| Returns the name of the material currently loaded, if any. More...
virtual void | SetShading (vtkTypeBool)
| Enable/Disable shading. More...
virtual vtkTypeBool | GetShading ()
| Enable/Disable shading. More...
virtual void | ShadingOn ()
| Enable/Disable shading. More...
virtual void | ShadingOff ()
| Enable/Disable shading. More...
virtual void | AddShaderVariable (const char *name, int numVars, int *x)
| Provide values to initialize shader variables. More...
virtual void | AddShaderVariable (const char *name, int numVars, float *x)
| Provide values to initialize shader variables. More...
virtual void | AddShaderVariable (const char *name, int numVars, double *x)
| Provide values to initialize shader variables. More...
void | AddShaderVariable (const char *name, int v)
| Methods to provide to add shader variables from wrappers. More...
void | AddShaderVariable (const char *name, float v)
| Methods to provide to add shader variables from wrappers. More...
void | AddShaderVariable (const char *name, double v)
| Methods to provide to add shader variables from wrappers. More...
void | AddShaderVariable (const char *name, int v1, int v2)
| Methods to provide to add shader variables from wrappers. More...
void | AddShaderVariable (const char *name, float v1, float v2)
| Methods to provide to add shader variables from wrappers. More...
void | AddShaderVariable (const char *name, double v1, double v2)
| Methods to provide to add shader variables from wrappers. More...
void | AddShaderVariable (const char *name, int v1, int v2, int v3)
| Methods to provide to add shader variables from wrappers. More...
void | AddShaderVariable (const char *name, float v1, float v2, float v3)
| Methods to provide to add shader variables from wrappers. More...
void | AddShaderVariable (const char *name, double v1, double v2, double v3)
| Methods to provide to add shader variables from wrappers. More...
virtual void | SetShowTexturesOnBackface (bool)
| Show texture maps when the geometry is backfacing. More...
virtual bool | GetShowTexturesOnBackface ()
| Show texture maps when the geometry is backfacing. More...
virtual void | ShowTexturesOnBackfaceOn ()
| Show texture maps when the geometry is backfacing. More...
virtual void | ShowTexturesOnBackfaceOff ()
| Show texture maps when the geometry is backfacing. More...
void | SetTexture (const char *name, vtkTexture *texture)
| Set/Get the texture object to control rendering texture maps. More...
vtkTexture * | GetTexture (const char *name)
| Set/Get the texture object to control rendering texture maps. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with the Property. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with the Property. More...
double | ComputeReflectanceOfBaseLayer ()
| For PBR, calculate the reflectance of the base layer depending on the presence of a coat layer. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkWebGPUProperty * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkWebGPUProperty * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkProperty
static vtkTypeBool | IsTypeOf (const char *type)
static vtkProperty * | SafeDownCast (vtkObjectBase *o)
static vtkProperty * | New ()
| Construct object with object color, ambient color, diffuse color, specular color, and edge color white; ambient coefficient=0; diffuse coefficient=0; specular coefficient=0; specular power=1; Gouraud shading; and surface representation. More...
static double | ComputeReflectanceFromIOR (double IORTo, double IORFrom)
| For PBR, calculate the reflectance from the refractive index of ingoing and outgoing interfaces. More...
static double | ComputeIORFromReflectance (double reflectance, double ior)
| For PBR, calculate the refractive index from the reflectance of the interface and the refractive index of one of both medium. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkWebGPUProperty ()
| ~vtkWebGPUProperty () override
bool | RenderTextures (vtkActor *actor, vtkRenderer *renderer)
| Method called in vtkWebGPUProperty::Render() to render textures. More...
Protected Member Functions inherited from vtkProperty
| vtkProperty ()
| ~vtkProperty () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Protected Types inherited from vtkProperty
typedef std::map< std::string, vtkTexture * > | MapOfTextures
Static Protected Member Functions inherited from vtkProperty
static void | ComputeCompositeColor (double result[3], double ambient, const double ambient_color[3], double diffuse, const double diffuse_color[3], double specular, const double specular_color[3])
| Computes composite color. More...
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkProperty
double | Color [3]
double | AmbientColor [3]
double | DiffuseColor [3]
double | SpecularColor [3]
double | EdgeColor [3]
double | VertexColor [3]
double | SelectionColor [4] = { 1.0, 0.0, 0.0, 1.0 }
double | Ambient
double | Diffuse
double | Metallic
double | Roughness
double | Anisotropy
double | AnisotropyRotation
double | BaseIOR
double | CoatIOR
double | CoatColor [3]
double | CoatRoughness
double | CoatStrength
double | CoatNormalScale
double | NormalScale
double | OcclusionStrength
double | EmissiveFactor [3]
double | Specular
double | SpecularPower
double | Opacity
double | EdgeOpacity = 1.0
double | EdgeTint [3]
float | PointSize
float | LineWidth
float | SelectionPointSize = 2.f
float | SelectionLineWidth = 2.f
int | LineStipplePattern
int | LineStippleRepeatFactor
int | Interpolation
int | Representation
vtkTypeBool | EdgeVisibility
vtkTypeBool | VertexVisibility
vtkTypeBool | BackfaceCulling
vtkTypeBool | FrontfaceCulling
bool | Lighting
bool | RenderPointsAsSpheres
bool | RenderLinesAsTubes
bool | ShowTexturesOnBackface
vtkTypeBool | Shading
char * | MaterialName
MapOfTextures | Textures
vtkInformation * | Information
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

WebGPU property.

vtkWebGPUProperty is a concrete implementation of the abstract class vtkProperty. vtkWebGPUProperty interfaces to the WebGPU rendering library.

Definition at line 19 of file vtkWebGPUProperty.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkProperty vtkWebGPUProperty::Superclass

Definition at line 23 of file vtkWebGPUProperty.h.

## Constructor & Destructor Documentation

## ◆ vtkWebGPUProperty()

vtkWebGPUProperty::vtkWebGPUProperty | ( |  | ) |
| protected

## ◆ ~vtkWebGPUProperty()

vtkWebGPUProperty::~vtkWebGPUProperty | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkWebGPUProperty* vtkWebGPUProperty::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkWebGPUProperty::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkWebGPUProperty::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkProperty.

## ◆ SafeDownCast()

static vtkWebGPUProperty* vtkWebGPUProperty::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkWebGPUProperty::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkProperty.

## ◆ NewInstance()

vtkWebGPUProperty* vtkWebGPUProperty::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkWebGPUProperty::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkProperty.

## ◆ Render()

void vtkWebGPUProperty::Render | ( | vtkActor * | a,
|  | vtkRenderer * | ren
| ) |  |
| overridevirtual

Implement base class method.

Reimplemented from vtkProperty.

## ◆ BackfaceRender()

void vtkWebGPUProperty::BackfaceRender | ( | vtkActor * | a,
|  | vtkRenderer * | ren
| ) |  |
| overridevirtual

Implement base class method.

Reimplemented from vtkProperty.

## ◆ PostRender()

void vtkWebGPUProperty::PostRender | ( | vtkActor * | a,
|  | vtkRenderer * | r
| ) |  |
| overridevirtual

This method is called after the actor has been rendered.

Don't call this directly. This method cleans up any shaders allocated.

Reimplemented from vtkProperty.

## ◆ ReleaseGraphicsResources()

void vtkWebGPUProperty::ReleaseGraphicsResources | ( | vtkWindow * | win | ) |
| overridevirtual

Release any graphics resources that are being consumed by this property.

The parameter window could be used to determine which graphic resources to release.

Reimplemented from vtkProperty.

## ◆ RenderTextures()

bool vtkWebGPUProperty::RenderTextures | ( | vtkActor * | actor,
|  | vtkRenderer * | renderer
| ) |  |
| protected

Method called in vtkWebGPUProperty::Render() to render textures.

Last argument is the value returned from RenderShaders() call.

The documentation for this class was generated from the following file:

- Rendering/WebGPU/vtkWebGPUProperty.h